Mail archive
alpine-aports

[alpine-aports] [PATCH] main/iw: upgrade to 4.1

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 14 Aug 2015 11:39:42 +0200

---
 main/iw/APKBUILD | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)
diff --git a/main/iw/APKBUILD b/main/iw/APKBUILD
index d70d27f..e443577 100644
--- a/main/iw/APKBUILD
+++ b/main/iw/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=iw
-pkgver=3.17
+pkgver=4.1
 pkgrel=0
 pkgdesc="nl80211 based CLI configuration utility for wireless devices"
 url="http://wireless.kernel.org/en/users/Documentation/iw"
_at_@ -9,17 +9,16 @@ license="GPL"
 depends=""
 makedepends="libnl3-dev linux-headers"
 source="https://www.kernel.org/pub/software/network/$pkgname/$pkgname-$pkgver.tar.xz"
-#	iw-git-version.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	cd "$_builddir"
+
+	local i=
 	for i in $source; do
 		case $i in
 		*.patch)
-			msg "Applying $i"
-			patch -p1 -i "$srcdir"/$i || return 1
-			;;
+			patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 }
_at_@ -34,6 +33,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="69c4a2f29cf560247febc6cad7161a72  iw-3.17.tar.xz"
-sha256sums="48a62eb5cd8e757c9617749df96b01f133c184f6c107f18be660ee08f155fa93  iw-3.17.tar.xz"
-sha512sums="ac4779a88aacb9e2f4859cdb3e953bfba0a83b2e8140777092d61ced6799f09d8ec5628a359109cc23e6389e0ec0ab5a98b9da93c400b7cffedd930013c44f39  iw-3.17.tar.xz"
+md5sums="3a292dd342bb88e30e74015ae6fe1e54  iw-4.1.tar.xz"
+sha256sums="5164aaacd8e82501d84a2187af194e8285a5a5b76e200447eb58d4dd78d1a34b  iw-4.1.tar.xz"
+sha512sums="5106f87e7d84343061cdbb868f0d80ac6b5d84ea1147c5b935bc79bede12614f2a080321e86c2947cab8f4026a817d1c93dd57267b941c50e72d2c1176c4f0f6  iw-4.1.tar.xz"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 14 2015 - 11:39:42 GMT